Retry selected failed or cancelled batch items
curl --request POST \
--url https://api.gizmo.antimlabs.com/v1/batches/{batch_id}/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"item_indices": [
499
],
"max_concurrency": 25,
"max_cost_cents": 2
}
'import requests
url = "https://api.gizmo.antimlabs.com/v1/batches/{batch_id}/retry"
payload = {
"item_indices": [499],
"max_concurrency": 25,
"max_cost_cents": 2
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({item_indices: [499], max_concurrency: 25, max_cost_cents: 2})
};
fetch('https://api.gizmo.antimlabs.com/v1/batches/{batch_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"batch_id": "<string>"
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}{
"detail": {
"error": {
"code": "asset_not_found",
"message": "Asset ast_abc123 not found",
"status": 404,
"fields": [
{}
]
}
}
}Batches
Retry selected failed or cancelled batch items
POST
/
v1
/
batches
/
{batch_id}
/
retry
Retry selected failed or cancelled batch items
Authorizations
API key created in Gizmo Settings → API Keys
Headers
Required string length:
1 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Body
application/json